Page MenuHomePhabricator

Make it possible to set a preferred language in a map in VE
Closed, ResolvedPublic8 Estimated Story Points

Description

<mapframe latitude="33.505" longitude="-7.729" zoom="8" width="400" height="300" align="left" /> displays three languages for the same city (at enwiki). It would be nice to be able to set a specific desired language.

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 2 2018, 5:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana moved this task from To Triage to Freezer on the VisualEditor board.May 3 2018, 8:11 AM
Esanders renamed this task from Make it possible to set a preferred language in a map to Make it possible to set a preferred language in a map in VE.May 19 2018, 12:59 PM

Change 433978 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Kartographer@master] Add language input to maps dialog

https://gerrit.wikimedia.org/r/433978

Change 433985 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Kartographer@master] Update map language in VE rendering when it changes

https://gerrit.wikimedia.org/r/433985

Change 433985 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Update map language in VE rendering when it changes

https://gerrit.wikimedia.org/r/433985

Change 433978 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Add language input to maps dialog

https://gerrit.wikimedia.org/r/433978

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 8.

So, I'm looking at the map and thinking this must have been fixed (unless I just don't understand what I'm looking at)? See below.

But I'm wondering what fix was put in place, if it was? Wouldn't this have just been a job for the new parameter lang="xx"

So, I'm looking at the map and thinking this must have been fixed (unless I just don't understand what I'm looking at)? See below.

But I'm wondering what fix was put in place, if it was? Wouldn't this have just been a job for the new parameter lang.

It seems that this task got a bit muddled up with a separate, but related, problem.

Right now, the map dialogue on the English Wikipedia (where this change is not live) looks like this:

Like you said, there's not three languages there any more; I guess that specific problem got fixed by something else, because these changes aren't live there yet. The change here is to add a field to let you change the language. The map dialogue on the beta cluster (where this change is live) looks like this:

(Don't ask me why the labels are completely missing. I don't know. Was it always like that?) There's a field there now that lets you change the language, and changing it uses the new lang parameter, as you can see from the diff of the change I made:

Deskana closed this task as Resolved.May 31 2018, 1:01 PM

Oops, forgot to close this as resolved with my last comment.

Oh, great. Thanks for adding the language in to VE!

Deskana added a comment.EditedMay 31 2018, 4:35 PM

Oh, great. Thanks for adding the language in to VE!

You're welcome!

(Don't ask me why the labels are completely missing. I don't know. Was it always like that?)

For posterity, the answer to this question is that yes, it was always like that, so nothing broke. Only a small subset of countries are rendered: Belgium, Switzerland, Greece, and Israel. Those countries were chosen for having multiple official languages, RTL languages, languages in different scripts, and so on, for testing purposes.

Vvjjkkii renamed this task from Make it possible to set a preferred language in a map in VE to wrdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from wrdaaaaaaa to Make it possible to set a preferred language in a map in VE.Jul 2 2018, 7:01 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot set the point value for this task to 8.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.